import QtQuick 2.5
import QtQuick.Window 2.2
import QtQuick.Layouts 1.1
import QtQuick.Controls 1.4
import QtQuick.Controls.Styles 1.4

import QtLocation 5.9
import QtPositioning 5.9

Window {
    id: app
    visible: true
    width: 400
    height: 400

    Column {
        anchors.fill: parent

        spacing: 20

        Calendar {
            id: calendar
            locale: Qt.locale("fr")
        }
        Timer {
                 interval: 5000; running: true; repeat: true
                 onTriggered: test.currentIndex = (test.currentIndex+1)%3
             }


        ComboBox {
            id:test
            currentIndex: 1

            model: ListModel {
                id: cbItems
                ListElement { text: "English"; localeCode: "en" }
                ListElement { text: "French"; localeCode: "fr" }
                ListElement { text: "Arabic"; localeCode: "ar" }
            }

            width: parent.width

            onCurrentIndexChanged: {
                calendar.locale = Qt.locale(cbItems.get(currentIndex).localeCode)
            }
        }
    }
}
